Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang.ref
Class PhantomReference

    java.lang.Object
      |
      +--java.lang.ref.Reference
            |
            +--java.lang.ref.PhantomReference

public class PhantomReference
extends Reference

Phantom reference objects, which are enqueued after the collector determines that their referents may otherwise be reclaimed. Phantom references are most often used for scheduling pre-mortem cleanup actions in a more flexible way than is possible with the Java finalization mechanism.

If the garbage collector determines at a certain point in time that the referent of a phantom reference is phantom reachable, then at that time or at some later time it will enqueue the reference.

In order to ensure that a reclaimable object remains so, the referent of a phantom reference may not be retrieved: The `get` method of a phantom reference always returns `null`.

Unlike soft and weak references, phantom references are not automatically cleared by the garbage collector as they are enqueued. An object that is reachable via phantom references will remain so until all such references are cleared or themselves become unreachable.

Since:
  1.2

Constructor Summary
`PhantomReference(Object referent, ReferenceQueue q)` Creates a new phantom reference that refers to the given object and is registered with the given queue.

Method Summary
`Object` | `get()` Returns this reference object's referent.

Methods inherited from class java.lang.ref.Reference
`clear, enqueue, isEnqueued`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhantomReference

    public PhantomReference(Object referent,
                            ReferenceQueue q)

  Creates a new phantom reference that refers to the given object and is registered with the given queue.
  Throws:
    `NullPointerException` - If the `queue` argument is `null`

Method Detail

### get

    public Object get()

  Returns this reference object's referent. Because the referent of a phantom reference is always inaccessible, this method always returns `null`.
  Overrides:
    `get` in class `Reference`
  Returns:
    `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Java is a trademark or registred trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2000 Sun Microsystems, Inc. 901 San Antonio Road,
Palo, Alto, California, 94303, U.S.A All Rights Reserved. < /font >